Subject: Re: bug#73284: [PATCH] Add option to push mark after delete-pair

From: Paul Nelson <[email-masked]>
Date: Mon, 16 Sep 2024 16:07:06 +0200

Thank you for the feedback.  I'll be happy to hear what others think.

> Shouldn't this activate the region, instead of forcing users to do
> that manually?  Users that have transient-mark-mode enabled (which is
> ON by default), will expect that, I think.

I've been using transient-mark-mode lately, and I actually prefer that
the proposed feature doesn't activate the region automatically, as I
don't always want to operate on the contents immediately.

But I understand your point about user expectations.  We could
accommodate both preferences by expanding the option to accept the
values nil, 'push and 'activate.